"use client";

import Link from "next/link";

import { Rocket } from "lucide-react";

import { cn } from "@/lib/utils";

import { buttonVariants } from "@/components/ui/button";
import BlurFade from "@/components/blur-fade";

export function CTA() {
  return (
    <section>
      <div className="layout border-x px-3 sm:px-6">
        <BlurFade
          inView
          className="flex flex-col items-center justify-center gap-8 py-20"
        >
          <h3 className="text-center mx-auto mt-4  text-2xl font-semibold sm:text-3xl md:text-4xl">
            Join us and try our Agentic AI in your operations
          </h3>
          <Link
            href={`${process.env.NEXT_PUBLIC_DASHBOARD_URL}/explore`}
            className={cn(
              buttonVariants({ variant: "default" }),
              "text-background flex gap-2"
            )}
          >
            <Rocket className="h-6 w-6" />
            Get started
          </Link>
        </BlurFade>
      </div>
    </section>
  );
}
