import { CheckSessionProvider } from "@/providers/check-session-provider";

import { Footer } from "@/components/footer";
import { Heading } from "./_components/heading";
import { EditAgentCard } from "./_components/edit-agent-card";

export default async function EditAgentPage({
  params,
}: {
  params: Promise<{ agentId: string }>;
}) {
  const { agentId } = await params;

  return (
    <CheckSessionProvider>
      <Heading />
      <hr className="" />
      <section>
        <div className="layout border-x px-3 sm:px-6 py-8">
          <EditAgentCard agentId={agentId} />
        </div>
      </section>
      <hr className="" />
      <Footer />
    </CheckSessionProvider>
  );
}
